<template>
  <div>
    <h2 id="page-heading" data-cy="FrecuenciaCardiacaHeading">
      <span v-text="$t('gatewayApp.manillaFrecuenciaCardiaca.home.title')" id="frecuencia-cardiaca-heading">Frecuencia Cardiacas</span>
      <div class="d-flex justify-content-end">
        <button class="btn btn-info mr-2" v-on:click="handleSyncList" :disabled="isFetching">
          <font-awesome-icon icon="sync" :spin="isFetching"></font-awesome-icon>
          <span v-text="$t('gatewayApp.manillaFrecuenciaCardiaca.home.refreshListLabel')">Refresh List</span>
        </button>
        <router-link :to="{ name: 'FrecuenciaCardiacaCreate' }" custom v-slot="{ navigate }">
          <button
            @click="navigate"
            id="jh-create-entity"
            data-cy="entityCreateButton"
            class="btn btn-primary jh-create-entity create-frecuencia-cardiaca"
          >
            <font-awesome-icon icon="plus"></font-awesome-icon>
            <span v-text="$t('gatewayApp.manillaFrecuenciaCardiaca.home.createLabel')"> Create a new Frecuencia Cardiaca </span>
          </button>
        </router-link>
      </div>
    </h2>
    <br />
    <div class="alert alert-warning" v-if="!isFetching && frecuenciaCardiacas && frecuenciaCardiacas.length === 0">
      <span v-text="$t('gatewayApp.manillaFrecuenciaCardiaca.home.notFound')">No frecuenciaCardiacas found</span>
    </div>
    <div class="table-responsive" v-if="frecuenciaCardiacas && frecuenciaCardiacas.length > 0">
      <table class="table table-striped" aria-describedby="frecuenciaCardiacas">
        <thead>
          <tr>
            <th scope="row" v-on:click="changeOrder('id')">
              <span v-text="$t('global.field.id')">ID</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'id'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('frecuenciaCardiaca')">
              <span v-text="$t('gatewayApp.manillaFrecuenciaCardiaca.frecuenciaCardiaca')">Frecuencia Cardiaca</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'frecuenciaCardiaca'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('fechaRegistro')">
              <span v-text="$t('gatewayApp.manillaFrecuenciaCardiaca.fechaRegistro')">Fecha Registro</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'fechaRegistro'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('user.login')">
              <span v-text="$t('gatewayApp.manillaFrecuenciaCardiaca.user')">User</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'user.login'"></jhi-sort-indicator>
            </th>
            <th scope="row"></th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="frecuenciaCardiaca in frecuenciaCardiacas" :key="frecuenciaCardiaca.id" data-cy="entityTable">
            <td>
              <router-link :to="{ name: 'FrecuenciaCardiacaView', params: { frecuenciaCardiacaId: frecuenciaCardiaca.id } }">{{
                frecuenciaCardiaca.id
              }}</router-link>
            </td>
            <td>{{ frecuenciaCardiaca.frecuenciaCardiaca }}</td>
            <td>{{ frecuenciaCardiaca.fechaRegistro ? $d(Date.parse(frecuenciaCardiaca.fechaRegistro), 'short') : '' }}</td>
            <td>
              {{ frecuenciaCardiaca.user ? frecuenciaCardiaca.user.login : '' }}
            </td>
            <td class="text-right">
              <div class="btn-group">
                <router-link
                  :to="{ name: 'FrecuenciaCardiacaView', params: { frecuenciaCardiacaId: frecuenciaCardiaca.id } }"
                  custom
                  v-slot="{ navigate }"
                >
                  <button @click="navigate" class="btn btn-info btn-sm details" data-cy="entityDetailsButton">
                    <font-awesome-icon icon="eye"></font-awesome-icon>
                    <span class="d-none d-md-inline" v-text="$t('entity.action.view')">View</span>
                  </button>
                </router-link>
                <router-link
                  :to="{ name: 'FrecuenciaCardiacaEdit', params: { frecuenciaCardiacaId: frecuenciaCardiaca.id } }"
                  custom
                  v-slot="{ navigate }"
                >
                  <button @click="navigate" class="btn btn-primary btn-sm edit" data-cy="entityEditButton">
                    <font-awesome-icon icon="pencil-alt"></font-awesome-icon>
                    <span class="d-none d-md-inline" v-text="$t('entity.action.edit')">Edit</span>
                  </button>
                </router-link>
                <b-button
                  v-on:click="prepareRemove(frecuenciaCardiaca)"
                  variant="danger"
                  class="btn btn-sm"
                  data-cy="entityDeleteButton"
                  v-b-modal.removeEntity
                >
                  <font-awesome-icon icon="times"></font-awesome-icon>
                  <span class="d-none d-md-inline" v-text="$t('entity.action.delete')">Delete</span>
                </b-button>
              </div>
            </td>
          </tr>
        </tbody>
        <infinite-loading
          ref="infiniteLoading"
          v-if="totalItems > itemsPerPage"
          :identifier="infiniteId"
          slot="append"
          @infinite="loadMore"
          force-use-infinite-wrapper=".el-table__body-wrapper"
          :distance="20"
        >
        </infinite-loading>
      </table>
    </div>
    <b-modal ref="removeEntity" id="removeEntity">
      <span slot="modal-title"
        ><span
          id="gatewayApp.manillaFrecuenciaCardiaca.delete.question"
          data-cy="frecuenciaCardiacaDeleteDialogHeading"
          v-text="$t('entity.delete.title')"
          >Confirm delete operation</span
        ></span
      >
      <div class="modal-body">
        <p id="jhi-delete-frecuenciaCardiaca-heading" v-text="$t('gatewayApp.manillaFrecuenciaCardiaca.delete.question', { id: removeId })">
          Are you sure you want to delete this Frecuencia Cardiaca?
        </p>
      </div>
      <div slot="modal-footer">
        <button type="button" class="btn btn-secondary" v-text="$t('entity.action.cancel')" v-on:click="closeDialog()">Cancel</button>
        <button
          type="button"
          class="btn btn-primary"
          id="jhi-confirm-delete-frecuenciaCardiaca"
          data-cy="entityConfirmDeleteButton"
          v-text="$t('entity.action.delete')"
          v-on:click="removeFrecuenciaCardiaca()"
        >
          Delete
        </button>
      </div>
    </b-modal>
  </div>
</template>

<script lang="ts" src="./frecuencia-cardiaca.component.ts"></script>
